fuzzydl

## Class RepresentativeIndividual

- java.lang.Object
- - fuzzydl.RepresentativeIndividual

-     public class RepresentativeIndividual
      extends java.lang.Object

  New concrete individual being a representative of a set of individuals. Given an individual p and a fuzzy number F, a representative individual is the set of individuals that are greater or equal (or less or equal) than F. Then, p is related to the representative individual in some way.
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepresentativeIndividual(int type, java.lang.String fName, TriangularFuzzyNumber f, CreatedIndividual ind)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFeatureName()` Gets the feature name for which the individual is a filler.
    `TriangularFuzzyNumber` | `getFuzzyNumber()` Gets the fuzzy number.
    `CreatedIndividual` | `getIndividual()` Gets the reference individual.
    `int` | `getType()` Gets the type.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepresentativeIndividual

          public RepresentativeIndividual(int type,
                                          java.lang.String fName,
                                          TriangularFuzzyNumber f,
                                          CreatedIndividual ind)

      Constructor.
      Parameters:
        `type` - Type of the representative individual (GREATER_EQUAL, LESS_EQUAL).
        `fName` - Name of the feature for which the individual is a filler.
        `f` - Fuzzy number.
        `ind` - Reference individual.

  - ### Method Detail

    - #### getType

          public int getType()

      Gets the type.
      Returns:
        Type.

    - #### getFeatureName

          public java.lang.String getFeatureName()

      Gets the feature name for which the individual is a filler.
      Returns:
        Feature name.

    - #### getFuzzyNumber

          public TriangularFuzzyNumber getFuzzyNumber()

      Gets the fuzzy number.
      Returns:
        Fuzzy number.

    - #### getIndividual

          public CreatedIndividual getIndividual()

      Gets the reference individual.
      Returns:
        Refenrece individual.